Bug 1084635 - GCC 8: openucx build fails
GCC 8: openucx build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Nicolas Morey-Chaisemartin
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-03-09 10:03 UTC by Martin Liška
Modified: 2018-10-29 14:55 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-03-09 10:03:04 UTC
Build the package with GCC 8, there's error:

[  197s] ib/ud/base/ud_def.h:176:1: error: alignment 1 of 'struct uct_ud_send_skb_inl' is less than 64 [-Werror=packed-not-aligned]

Please build the project as follows to reproduce the issue:
osc build --alternative-project=openSUSE:Factory:Staging:Gcc7
Comment 1 Nicolas Morey-Chaisemartin 2018-03-15 07:03:51 UTC
Opened an upstream but for this:
https://github.com/openucx/ucx/issues/2400
Comment 2 Martin Liška 2018-03-27 15:26:50 UTC
(In reply to Nicolas Morey-Chaisemartin from comment #1)
> Opened an upstream but for this:
> https://github.com/openucx/ucx/issues/2400

Looks the upstream is fixed, can you please backport it?
https://github.com/openucx/ucx/pull/2403
Comment 3 Nicolas Morey-Chaisemartin 2018-03-27 15:38:04 UTC
(In reply to Martin Liška from comment #2)
> (In reply to Nicolas Morey-Chaisemartin from comment #1)
> > Opened an upstream but for this:
> > https://github.com/openucx/ucx/issues/2400
> 
> Looks the upstream is fixed, can you please backport it?
> https://github.com/openucx/ucx/pull/2403

Already submitted a couple hours ago:
https://build.opensuse.org/request/show/591614
Comment 4 Martin Liška 2018-03-27 15:54:08 UTC
(In reply to Nicolas Morey-Chaisemartin from comment #3)
> (In reply to Martin Liška from comment #2)
> > (In reply to Nicolas Morey-Chaisemartin from comment #1)
> > > Opened an upstream but for this:
> > > https://github.com/openucx/ucx/issues/2400
> > 
> > Looks the upstream is fixed, can you please backport it?
> > https://github.com/openucx/ucx/pull/2403
> 
> Already submitted a couple hours ago:
> https://build.opensuse.org/request/show/591614

Thanks for it.
Comment 5 Nicolas Morey-Chaisemartin 2018-03-30 10:06:50 UTC
Fixed in Factory